Package: org.grails.web.sitemesh

## [Java] Class GSPSitemeshPage

- org.grails.web.sitemesh.GSPSitemeshPage

- All Implemented Interfaces and Traits:
    com.opensymphony.sitemesh.Content

      public class GSPSitemeshPage
      extends com.opensymphony.module.sitemesh.parser.AbstractHTMLPage

  Grails/GSP specific implementation of Sitemesh's AbstractHTMLPage g:capture* tags in RenderTagLib are used to capture head, meta, title, component & body contents. No html parsing is required for templating since capture tags are added at GSP compilation time.

  Authors:
    Lari Hotari, Sagire Software Oy
  See Also:
    org.codehaus.groovy.grails.web.pages.SitemeshPreprocessor

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GSPSitemeshPage ()`
    `GSPSitemeshPage (boolean renderingLayout)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addProperty(java.lang.String name, java.lang.Object value)`
    `` | `void` | `addProperty(java.lang.String name, java.lang.String value)`
    `` | `static com.opensymphony.module.sitemesh.HTMLPage` | `content2htmlPage(com.opensymphony.sitemesh.Content content)`
    `` | `java.lang.String` | `getBody()`
    `` | `java.lang.Object` | `getContentBuffer(java.lang.String name)` @param name propertyName of contentBuffer (with "page." prefix)
    `` | `java.lang.String` | `getHead()`
    `` | `java.lang.String` | `getPage()`
    `` | `StreamCharBuffer` | `getTitleBuffer()`
    `` | `boolean` | `isTitleCaptured()`
    `` | `boolean` | `isUsed()`
    `` | `int` | `originalLength()`
    `` | `void` | `reset()`
    `` | `void` | `setBodyBuffer(StreamCharBuffer bodyBuffer)`
    `` | `void` | `setContentBuffer(java.lang.String tagName, StreamCharBuffer buffer)` @param tagName "tagName" name of buffer (without "page." prefix)
    `` | `void` | `setHeadBuffer(StreamCharBuffer headBuffer)`
    `` | `void` | `setPageBuffer(StreamCharBuffer pageBuffer)`
    `` | `void` | `setTitleBuffer(StreamCharBuffer titleBuffer)`
    `` | `void` | `setTitleCaptured(boolean titleCaptured)`
    `` | `void` | `setUsed(boolean used)`
    `` | `void` | `writeBody(java.io.Writer out)`
    `` | `void` | `writeHead(java.io.Writer out)`
    `` | `void` | `writeOriginal(java.io.Writer writer)`
    `` | `void` | `writePage(java.io.Writer out)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class com.opensymphony.module.sitemesh.parser.AbstractHTMLPage` | `com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#isFrameSet(), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#setFrameSet(boolean), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#writeHead(java.io.Writer), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#getContentLength(), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#getIntProperty(java.lang.String), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#addProperty(java.lang.String, java.lang.String), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#getRequest(), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#getBody(), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#getTitle(), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#getPropertyKeys(), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#getPage(), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#writePage(java.io.Writer), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#getLongProperty(java.lang.String), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#isPropertySet(java.lang.String), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#setRequest(javax.servlet.http.HttpServletRequest), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#writeBody(java.io.Writer), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#getProperty(java.lang.String), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#getProperties(), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#getBooleanProperty(java.lang.String), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#wait(long, int), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#wait(long), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#wait(), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#equals(java.lang.Object), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#toString(), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#hashCode(), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#getClass(), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#notify(), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#notifyAll(), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#getHead(), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#writeBody(java.io.Writer)`
    `class com.opensymphony.module.sitemesh.parser.AbstractPage` | `com.opensymphony.module.sitemesh.parser.AbstractPage#getContentLength(), com.opensymphony.module.sitemesh.parser.AbstractPage#getIntProperty(java.lang.String), com.opensymphony.module.sitemesh.parser.AbstractPage#addProperty(java.lang.String, java.lang.String), com.opensymphony.module.sitemesh.parser.AbstractPage#getRequest(), com.opensymphony.module.sitemesh.parser.AbstractPage#getBody(), com.opensymphony.module.sitemesh.parser.AbstractPage#getTitle(), com.opensymphony.module.sitemesh.parser.AbstractPage#getPropertyKeys(), com.opensymphony.module.sitemesh.parser.AbstractPage#getPage(), com.opensymphony.module.sitemesh.parser.AbstractPage#writePage(java.io.Writer), com.opensymphony.module.sitemesh.parser.AbstractPage#getLongProperty(java.lang.String), com.opensymphony.module.sitemesh.parser.AbstractPage#isPropertySet(java.lang.String), com.opensymphony.module.sitemesh.parser.AbstractPage#setRequest(javax.servlet.http.HttpServletRequest), com.opensymphony.module.sitemesh.parser.AbstractPage#writeBody(java.io.Writer), com.opensymphony.module.sitemesh.parser.AbstractPage#getProperty(java.lang.String), com.opensymphony.module.sitemesh.parser.AbstractPage#getProperties(), com.opensymphony.module.sitemesh.parser.AbstractPage#getBooleanProperty(java.lang.String), com.opensymphony.module.sitemesh.parser.AbstractPage#wait(long, int), com.opensymphony.module.sitemesh.parser.AbstractPage#wait(long), com.opensymphony.module.sitemesh.parser.AbstractPage#wait(), com.opensymphony.module.sitemesh.parser.AbstractPage#equals(java.lang.Object), com.opensymphony.module.sitemesh.parser.AbstractPage#toString(), com.opensymphony.module.sitemesh.parser.AbstractPage#hashCode(), com.opensymphony.module.sitemesh.parser.AbstractPage#getClass(), com.opensymphony.module.sitemesh.parser.AbstractPage#notify(), com.opensymphony.module.sitemesh.parser.AbstractPage#notifyAll()`

- - ### Constructor Detail

    - #### public GSPSitemeshPage()

    - #### public GSPSitemeshPage(boolean renderingLayout)

  - ### Method Detail

    - #### public void addProperty(java.lang.String name, java.lang.Object value)

    - #### @java.lang.Override public void addProperty(java.lang.String name, java.lang.String value)

    - #### public static com.opensymphony.module.sitemesh.HTMLPage content2htmlPage(com.opensymphony.sitemesh.Content content)

    - #### @java.lang.Override public java.lang.String getBody()

    - #### public java.lang.Object getContentBuffer(java.lang.String name)

      Parameters:
        `name` - propertyName of contentBuffer (with "page." prefix)
      Returns:
        the buffer for the specified name

    - #### public java.lang.String getHead()

    - #### @java.lang.Override public java.lang.String getPage()

    - #### public StreamCharBuffer getTitleBuffer()

    - #### public boolean isTitleCaptured()

    - #### public boolean isUsed()

    - #### public int originalLength()

    - #### public void reset()

    - #### public void setBodyBuffer(StreamCharBuffer bodyBuffer)

    - #### public void setContentBuffer(java.lang.String tagName, StreamCharBuffer buffer)

      Parameters:
        `tagName` - "tagName" name of buffer (without "page." prefix)
        buffer

    - #### public void setHeadBuffer(StreamCharBuffer headBuffer)

    - #### public void setPageBuffer(StreamCharBuffer pageBuffer)

    - #### public void setTitleBuffer(StreamCharBuffer titleBuffer)

    - #### public void setTitleCaptured(boolean titleCaptured)

    - #### public void setUsed(boolean used)

    - #### @java.lang.Override public void writeBody(java.io.Writer out)

    - #### @java.lang.Override public void writeHead(java.io.Writer out)

    - #### public void writeOriginal(java.io.Writer writer)

    - #### @java.lang.Override public void writePage(java.io.Writer out)